Subject: Re: bug#18504: 24.3.93; posn-at-point intermittently returns wrong value for a valid buffer position

From: Dmitry Gutov <[email-masked]>
Date: Fri, 19 Sep 2014 21:52:29 +0400

On 09/19/2014 06:54 PM, Eli Zaretskii wrote:

> I tried that, but the probability of getting the problem is too low on
> my system.  I see it maybe once in many hundreds of attempts.

Have you tried that with the foofoofoo branch? The message output raises 
the odds on my machine considerably (1 in 5-10 attempts).

> What I did see is that the coordinates returned in that case are for
> the end of buffer (or maybe the last visible glyph in the window, if
> EOB is beyond that).

Have you tried adding more lines at the end of the buffer? Even in a 
tall window, and with eob far away, the incorrect value is only off by 
~10 lines here. Which, incidentally, is close to how many lines the 
popup overlay takes up.

> So the first thing I'd try to do is print the
> argument POS you pass to posn-at-point in those cases -- could it be t
> or some other incorrect/unexpected value?

Nope. POS is always the same.